package com.hboxs.serialport.sbc.frame;

public class VboxOrder {


    /**
     * 开始字符
     */
    private final String stx = VboxCommand.STX;

    /**
     * 字节长度
     */
    private Integer length;

    /**
     * CMD指令
     */
    private String cmd;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 商品单价
     */
    private Long price;

    /**
     * 商品数量
     */
    private Integer productNum;

    /**
     * 订单号
     */
    private String orderId;

    /**
     * 出货状态
     */
    private Integer status;

    /**
     * data
     */
    private String data;

    /**
     * 结束字符
     */
    private final String etx = VboxCommand.ETX;

    public String getStx() {
        return stx;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    public String getCmd() {
        return cmd;
    }

    public void setCmd(String cmd) {
        this.cmd = cmd;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public long getPrice() {
        return price;
    }

    public void setPrice(long price) {
        this.price = price;
    }

    public Integer getProductNum() {
        return productNum;
    }

    public void setProductNum(Integer productNum) {
        this.productNum = productNum;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getEtx() {
        return etx;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getData() {
        return data;
    }

    @Override
    public String toString() {
        return "VboxOrder{" +
                "stx='" + stx + '\'' +
                ", length=" + length +
                ", cmd='" + cmd + '\'' +
                ", payType=" + payType +
                ", productId=" + productId +
                ", price=" + price +
                ", productNum=" + productNum +
                ", orderId='" + orderId + '\'' +
                ", status=" + status +
                ", data='" + data + '\'' +
                ", etx='" + etx + '\'' +
                '}';
    }
}
